org.jfree.ui

## Class Align

- java.lang.Object
- - org.jfree.ui.Align

    public final class Align
    extends java.lang.Object

A utility class for aligning rectangles.

Author:
  David Gilbert

### Field Summary

Fields
`static int` `BOTTOM` Bottom alignment.
`static int` `BOTTOM_LEFT` Bottom/Left alignment.
`static int` `BOTTOM_RIGHT` Bottom/Right alignment.
`static int` `CENTER` Center alignment.
`static int` `EAST` East alignment (same as RIGHT).
`static int` `FIT` Complete fit.
`static int` `FIT_HORIZONTAL` Horizontal fit.
`static int` `FIT_VERTICAL` Vertical fit.
`static int` `LEFT` Left alignment.
`static int` `NORTH` North alignment (same as TOP).
`static int` `NORTH_EAST` North/East alignment (same as TOP_RIGHT).
`static int` `NORTH_WEST` North/West alignment (same as TOP_LEFT).
`static int` `RIGHT` Right alignment.
`static int` `SOUTH` South alignment (same as BOTTOM).
`static int` `SOUTH_EAST` South/East alignment (same as BOTTOM_RIGHT).
`static int` `SOUTH_WEST` South/West alignment (same as BOTTOM_LEFT).
`static int` `TOP` Top alignment.
`static int` `TOP_LEFT` Top/Left alignment.
`static int` `TOP_RIGHT` Top/Right alignment.
`static int` `WEST` West alignment (same as LEFT).

### Method Summary

Methods
`static void` `align(java.awt.geom.Rectangle2D rect, java.awt.geom.Rectangle2D frame, int align)` Aligns one rectangle (`rect`) relative to another rectangle (`frame`).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CENTER

    public static final int CENTER

Center alignment.

See Also:
  Constant Field Values

#### TOP

    public static final int TOP

Top alignment.

See Also:
  Constant Field Values

#### BOTTOM

    public static final int BOTTOM

Bottom alignment.

See Also:
  Constant Field Values

#### LEFT

    public static final int LEFT

Left alignment.

See Also:
  Constant Field Values

#### RIGHT

    public static final int RIGHT

Right alignment.

See Also:
  Constant Field Values

#### TOP_LEFT

    public static final int TOP_LEFT

Top/Left alignment.

See Also:
  Constant Field Values

#### TOP_RIGHT

    public static final int TOP_RIGHT

Top/Right alignment.

See Also:
  Constant Field Values

#### BOTTOM_LEFT

    public static final int BOTTOM_LEFT

Bottom/Left alignment.

See Also:
  Constant Field Values

#### BOTTOM_RIGHT

    public static final int BOTTOM_RIGHT

Bottom/Right alignment.

See Also:
  Constant Field Values

#### FIT_HORIZONTAL

    public static final int FIT_HORIZONTAL

Horizontal fit.

See Also:
  Constant Field Values

#### FIT_VERTICAL

    public static final int FIT_VERTICAL

Vertical fit.

See Also:
  Constant Field Values

#### FIT

    public static final int FIT

Complete fit.

See Also:
  Constant Field Values

#### NORTH

    public static final int NORTH

North alignment (same as TOP).

See Also:
  Constant Field Values

#### SOUTH

    public static final int SOUTH

South alignment (same as BOTTOM).

See Also:
  Constant Field Values

#### WEST

    public static final int WEST

West alignment (same as LEFT).

See Also:
  Constant Field Values

#### EAST

    public static final int EAST

East alignment (same as RIGHT).

See Also:
  Constant Field Values

#### NORTH_WEST

    public static final int NORTH_WEST

North/West alignment (same as TOP_LEFT).

See Also:
  Constant Field Values

#### NORTH_EAST

    public static final int NORTH_EAST

North/East alignment (same as TOP_RIGHT).

See Also:
  Constant Field Values

#### SOUTH_WEST

    public static final int SOUTH_WEST

South/West alignment (same as BOTTOM_LEFT).

See Also:
  Constant Field Values

#### SOUTH_EAST

    public static final int SOUTH_EAST

South/East alignment (same as BOTTOM_RIGHT).

See Also:
  Constant Field Values

### Method Detail

#### align

    public static void align(java.awt.geom.Rectangle2D rect,
             java.awt.geom.Rectangle2D frame,
             int align)

Aligns one rectangle (`rect`) relative to another rectangle (`frame`).

Parameters:
  `rect` - the rectangle to be aligned (`null` not permitted).
  `frame` - the reference frame (`null` not permitted).
  `align` - the alignment code.